#!/usr/sbin/dtrace -s
/*
 * memleak.d: Can be used to detect memory leaks.
 *            Prints the address of memory for both allocation and free
 *            operation.
 * Usage:     Specify "libc" for "Script Args" paramter in DTrace config 
 *            table. 
 *            Specify the absolute path name to the executable for the
 *            "Executable" parameter and so on.
 *
 * Copyright 2007 Sun Microsystems, Inc.,
 * 4150 Network Circle, Santa Clara,
 * California 95054, U.S.A. All rights reserved.
 */
pid$target:$1:malloc:entry
{
    ustack();
}
pid$target:$1:malloc:return
{
    printf("%s: %x\n", probefunc, arg1);
}
pid$target:$1:free:entry
{
    printf("%s: %x\n", probefunc, arg0);
}
