/*
 * hotkernel - sample on-CPU kernel-level functions and modules.
 *             Written using Perl and DTrace (Solaris 10 03/05)
 *
 * This samples the on-CPU function at 1001 Hertz, for a simple yet
 * effective kernel-level profiling tool for sampling exclusive function time.
 * The output will identify which function is on the CPU the most - which is
 * the hottest. See Notes/ALLexclusive_notes.txt for an explanation of
 * exclusive time.
 *
 * $Id: hotkernel 65 2007-10-04 11:09:40Z brendan $
 *
 * COPYRIGHT: Copyright (c) 2006 Brendan Gregg.
 *
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License (the "License").
 * You may not use this file except in compliance with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 *
 * Author: Brendan Gregg  [Sydney, Australia]
 *
 * 29-Jun-2006	Brendan Gregg	Created this.
 * 29-Jun-2006	   "      "	Last update.
 * 04-Nov-2008	Tom Erickson	(adapted for Chime)
 */

/*
 * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */

profile:::profile-1001hz
/arg0/
{
        @pc[func(arg0)] = count();
}
